fn main() {
    let bindings = bindgen::Builder::default()
        .header("libschrift/schrift.h")
        .parse_callbacks(Box::new(bindgen::CargoCallbacks::new()))
        .generate()
        .expect("couldn't generate bindings");
    let path = std::path::PathBuf::from(std::env::var("OUT_DIR").unwrap());
    bindings
        .write_to_file(path.join("schrift_bindings.rs"))
        .expect("couldn't write bindings to file");
    cc::Build::new()
        .flag("-std=c99")
        .flag("-pedantic")
        .file("libschrift/schrift.c")
        .compile("schrift");
}
